> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subsidiaries

> Returns the full subsidiary hierarchy for a given company. For each subsidiary includes: ultimate parent, immediate parent, company name, and hierarchy depth level.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/subsidiaries/query
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/subsidiaries/query:
    post:
      tags:
        - Companies
      summary: Get Subsidiaries
      description: >-
        Returns the full subsidiary hierarchy for a given company. For each
        subsidiary includes: ultimate parent, immediate parent, company name,
        and hierarchy depth level.
      operationId: getCompanySubsidiaries
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetCompanySubsidiariesRequest'
      responses:
        '200':
          description: Successful response with subsidiary hierarchy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanySubsidiariesResponse'
              example:
                results:
                  - ultimate_parent_id: D8442A
                    ultimate_parent_name: Apple Inc.
                    immediate_parent_id: D8442A
                    immediate_parent_name: Apple Inc.
                    identifier: 07EB2B
                    entity_name: Apple Operations Ltd.
                    level: 2
                  - ultimate_parent_id: D8442A
                    ultimate_parent_name: Apple Inc.
                    immediate_parent_id: MJT4QE
                    immediate_parent_name: Apple Retail Europe Ltd.
                    identifier: JY8BAE
                    entity_name: Apple Retail Sweden AB
                    level: 4
                errors: []
                metadata:
                  request_id: 07b5eb7e-5e6f-4ebf-b597-e3b4a7aa4250
                  timestamp: '2026-03-31T17:13:34.289840+00:00'
                  rp_entity_id: D8442A
        '400':
          description: Bad Request
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
components:
  schemas:
    GetCompanySubsidiariesRequest:
      type: object
      properties:
        identifier:
          type: object
          description: >-
            Object specifying which identifier you are using to request the
            data. You must supply one type and its corresponding value.
          properties:
            type:
              type: string
              enum:
                - rp_entity_id
              description: >-
                Object specifying which identifier you are using to request the
                company subsidiaries. You must supply one type and its
                corresponding value.
              example: rp_entity_id
            value:
              type: string
              description: >-
                Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
                uniquely reference entities such as companies. This identifier
                is a 6-character alphanumeric code (letters and numbers only).
                Example: Apple Inc. (D8442A)
              minLength: 6
              maxLength: 6
              example: D8442A
          required:
            - type
            - value
      required:
        - identifier
      description: Request body for retrieving the subsidiary hierarchy of a company
    GetCompanySubsidiariesResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/SubsidiaryRecord'
          description: List of subsidiaries in the corporate hierarchy
        errors:
          type: array
          items: {}
          description: List of errors if any occurred
        metadata:
          type: object
          properties:
            request_id:
              type: string
              description: Unique request identifier
            timestamp:
              type: string
              description: ISO 8601 timestamp of when the response was generated
            rp_entity_id:
              type: string
              description: The queried entity ID
          required:
            - request_id
            - rp_entity_id
      required:
        - results
        - metadata
      description: Response containing the subsidiary hierarchy for a given company
    SubsidiaryRecord:
      type: object
      properties:
        ultimate_parent_id:
          type: string
          nullable: true
          description: >-
            Entity ID of the ultimate parent, the topmost entity in the
            corporate tree, typically the holding company that directly or
            indirectly owns more than 50% stake in the subsidiaries below it
        ultimate_parent_name:
          type: string
          nullable: true
          description: >-
            Name of the ultimate parent company at the top of the corporate
            hierarchy
        immediate_parent_id:
          type: string
          nullable: true
          description: >-
            Entity ID of the immediate parent, the direct owner of this
            subsidiary, holding a 50% or greater stake in it
        immediate_parent_name:
          type: string
          nullable: true
          description: >-
            Name of the immediate parent company that directly owns this
            subsidiary
        identifier:
          type: string
          description: >-
            Entity ID of the subsidiary whose position in the corporate
            ownership structure is being described
        entity_name:
          type: string
          nullable: true
          description: Name of the subsidiary entity identified by the identifier field
        level:
          type: integer
          description: >-
            Depth in the corporate hierarchy relative to the ultimate parent
            (level 1 = the ultimate parent itself, level 2 = direct subsidiary,
            level 3 = grandchild subsidiary, and so on). Results only include
            level 2 and deeper.
      required:
        - identifier
        - level
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````